Set attack discovery alerts workflow status
- Base URL
-
https://{kibana_url}
- POST /api/detection_engine/attacks/status
Set the workflow status of one or more attack discovery alerts by IDs, optionally cascading the status to their related detection alerts.
Request body
An object containing the desired status and explicit attack ids
One of:status: closed
-
reasonunion oneOf -
The reason for closing the alerts. Can be one of following predefined reasons: [false_positive, duplicate, true_positive, benign_positive, automated_closure, other] or a custom reason provided by the user through the advanced settings.
-
Values:
false_positiveduplicatetrue_positivebenign_positiveautomated_closureother
status: open | acknowledged | in-progress
Responses
Successful response
Response Type: object
Invalid input data response
Unsuccessful authentication response